---
editUrl: false
next: false
prev: false
title: "CommandControlPlugin"
---

> **CommandControlPlugin**\<`I`\>(`execute`): [`Plugin`](/v4/api/interfaces/plugin/)\<`unknown`[]\>

## Type parameters

• **I** *extends* [`CommandType`](/v4/api/enumerations/commandtype/)

## Parameters

• **execute**

## Returns

[`Plugin`](/v4/api/interfaces/plugin/)\<`unknown`[]\>

## Since

2.5.0

## Source

[src/core/create-plugins.ts:28](https://github.com/sern-handler/handler/blob/7c8e39defbafdd6312a04a2d30750d647a3ab22b/src/core/create-plugins.ts#L28)
